Subject: [bug#77991] [PATCH v2 0/4] Upgrade Scotch to 7.0.7

From: Christopher Baines <[email-masked]>
Date: Sun, 27 Apr 2025 13:07:01 +0100

Ludovic Courtès <[email-masked]> writes:

> As colleagues found out, the commit that was meant to fix 'SCOTCHConfig.cmake'
> was ineffective: the *metisTargets.cmake file were indeed found, but then
> lib*scotchmetis.so would not be found, causing 'cmake' to fail.
>
> This version fixes that.  I tested again all the dependents.
>
> Ludo'.
>
> Ludovic Courtès (4):
>   gnu: scotch: Remove “-shared” deprecated aliases.
>   gnu: scotch: Remove CMake machinery for the Metis compatibility layer.
>   gnu: scotch, scotch32, pt-scotch, pt-scotch32: Use gexps.
>   gnu: scotch: Update to 7.0.7.
>
>  gnu/local.mk                                  |  1 +
>  gnu/packages/maths.scm                        | 74 ++++++++-----------
>  .../patches/scotch-cmake-remove-metis.patch   | 24 ++++++
>  3 files changed, 57 insertions(+), 42 deletions(-)
>  create mode 100644 gnu/packages/patches/scotch-cmake-remove-metis.patch
>
>
> base-commit: 9f4bdb270e178eac636df3f4bbffbe4aa3b90a67

Apart from some patch file name lint warnings (which may be not
actionable) QA hasn't found any issues and this all sounds good to me.